Autore Topic: RISOLTO: Errore di installazione: mod_fcgid: stderr: PHP Fatal error: Cannot  (Letto 558 volte)

Offline Chiarhonda

  • Esploratore
  • **
  • Post: 60
    • Mostra profilo
Saluti a tutti!
Sto provando ad installare un pacchetto joomla comprensivo di template regolarmente acquistato, in una sottodirectory web di un server, ma quando provo ad accedere alla pagina www.nomedominio.it/web/ e mi aspetto la pagina di installer, tutto resta bianco e mi dicono dal server che ottengo questo errore (ometto fornitore di hosting per correttezza):

Lo stesso pacchetto, installato su hosting della stessa società ma meno prestanti come potenzilità, mi funziona correttamente. I gestori del server mi dicono che potrebbe essere un errore di programmazione. A voi è mai capitato?
mod_fcgid: stderr: PHP Fatal error: Cannot use Joomla\\String\\String as String because 'String' is a special class name in /var/www/vhosts/xxxxx.linp045.xxxxxx.it/nomedominio.com/web/libraries/vendor/joomla/registry/src/Format/Json.php on line 12
« Ultima modifica: 15 Gen 2018, 14:25:58 da Chiarhonda »

Offline matty80

  • Global Moderator
  • Instancabile
  • *****
  • Post: 3818
  • Sesso: Maschio
    • Mostra profilo
    • ASAO Calcio
ciao,
puoi nominare tranquillamente l'hosting in quanto è stato deciso di dare supporto anche a servizi commerciali.
Chi non ha mai posseduto un cane, non sa cosa significhi essere amato. Arthur Schopenhauer

Offline MB

  • Nuovo arrivato
  • *
  • Post: 6
    • Mostra profilo
    • www.joomlaitalia.com
Probabile che il problema sia legato a ******  Allowed memory size of XXXXXXX bytes exhausted  ***** ( dove xxxxxx sta per il valore massimo di memoria allocata dal servizio web) .... e,  molto probabilmente, ad utilizzare così tanta memoria potrebbe essere proprio un plugin contenuto nel template che stai utilizzando ... ciò non toglie che sull'altro servizio che definisci, meno performante, il valore massimo di memoria allocata sia più alto forse per questo che li funziona.
Vamba - Member Of ITT for Translation Team

Offline Chiarhonda

  • Esploratore
  • **
  • Post: 60
    • Mostra profilo
ciao,
puoi nominare tranquillamente l'hosting in quanto è stato deciso di dare supporto anche a servizi commerciali.
Benissimo, allora l'hosting su cui vado ad installare è un hosting professionale di aruba che viene suddiviso fra vari siti e clienti, ho un pannello di ammiistrazione da cui genero anche il database che utilizzerò. Lo stesso pacchetto installato su un semplice hosting linux sempre in aruba funziona.

Offline Chiarhonda

  • Esploratore
  • **
  • Post: 60
    • Mostra profilo
Probabile che il problema sia legato a ******  Allowed memory size of XXXXXXX bytes exhausted  ***** ( dove xxxxxx sta per il valore massimo di memoria allocata dal servizio web) .... e,  molto probabilmente, ad utilizzare così tanta memoria potrebbe essere proprio un plugin contenuto nel template che stai utilizzando ... ciò non toglie che sull'altro servizio che definisci, meno performante, il valore massimo di memoria allocata sia più alto forse per questo che li funziona.
Ti ringrazio per la risposta, ma dove hai trovato "Allowed memory size etc etc"?
Non vedo niente che faccia riferimento alla memoria

Offline matty80

  • Global Moderator
  • Instancabile
  • *****
  • Post: 3818
  • Sesso: Maschio
    • Mostra profilo
    • ASAO Calcio
Benissimo, allora l'hosting su cui vado ad installare è un hosting professionale di aruba che viene suddiviso fra vari siti e clienti, ho un pannello di ammiistrazione da cui genero anche il database che utilizzerò. Lo stesso pacchetto installato su un semplice hosting linux sempre in aruba funziona.
Hai detto questo all'assistenza? a questo punto sembrerebbe un errore di configurazione del loro spazio, io non utilizzo mai questo fornitore di servizi ma sento dire spesso che alcuni utenti chiedono di farsi spostare su server dedicati a joomla.
segui anche il consiglio di MB, da pannello dovresti poter cambiare le impostazioni di PHP, di solito è un file denominato php.ini su aruba non saprei dove trovarlo.
Chi non ha mai posseduto un cane, non sa cosa significhi essere amato. Arthur Schopenhauer

Offline vales

  • Global Moderator
  • Instancabile
  • ********
  • Post: 7904
  • Sesso: Maschio
    • Mostra profilo
    • Test di Albo Pretorio On LIne e Moduli Scuola On Line per Joomla 3
mod_fcgid: stderr: PHP Fatal error: Cannot use Joomla\\String\\String as String because 'String' is a special class name in /var/www/vhosts/xxxxx.linp045.xxxxxx.it/nomedominio.com/web/libraries/vendor/joomla/registry/src/Format/Json.php on line 12

l'errore sembra provocato da modulo fcgid presente nel pacchetto che hai usato prova a disabilitarlo.
Download e demo di Albo Pretorio On Line per Joomla 1.5 e Joomla 2.5 e 3
Moduli scuola On Line v1 per Joomla 3
http://valesweb.altervista.org/joomla3/

Offline Chiarhonda

  • Esploratore
  • **
  • Post: 60
    • Mostra profilo
l'errore sembra provocato da modulo fcgid presente nel pacchetto che hai usato prova a disabilitarlo.
Ho fatto una ricerca in locale all'interno del pacchetto ma di questo modulo non trovo traccia.

Offline MB

  • Nuovo arrivato
  • *
  • Post: 6
    • Mostra profilo
    • www.joomlaitalia.com
Come ti ho detto ......è probabile ... non che sia certo ...
io proverei a non utilizzare il template e fare una installazione pulita per vedere se è un problema di configurazione server o un problema proprio legato alla template.
Vamba - Member Of ITT for Translation Team


Offline Chiarhonda

  • Esploratore
  • **
  • Post: 60
    • Mostra profilo
Benissimo! Vedo che ho molto da leggere :-)
Nel frattempo ho installato il pacchetto joomla come suggerito da MB e non ho riscontrato alcun problema.

Offline Chiarhonda

  • Esploratore
  • **
  • Post: 60
    • Mostra profilo
Buongiorno, volevo dirvi che ho risolto modificando la versione php del server, perchè, come amplimanete detto in rete, la versione di php 7.x è troppo avanti. Credevo di averlo fatto già, invece a quanto pare non era andato in porto, per questo sono venuta a scocciare!!!
buon lavoro
Chiara

Offline danielecr

  • Appassionato
  • ***
  • Post: 754
    • Mostra profilo
Non è che php 7.x sia troppo avanti, è disponible dal 2015!
E' la versione di joomla o delle tue estensioni che sono troppo indietro ;)

Offline Chiarhonda

  • Esploratore
  • **
  • Post: 60
    • Mostra profilo
giusto  :D

Offline matty80

  • Global Moderator
  • Instancabile
  • *****
  • Post: 3818
  • Sesso: Maschio
    • Mostra profilo
    • ASAO Calcio
Buongiorno, volevo dirvi che ho risolto modificando la versione php del server, perchè, come amplimanete detto in rete, la versione di php 7.x è troppo avanti. Credevo di averlo fatto già, invece a quanto pare non era andato in porto, per questo sono venuta a scocciare!!!
buon lavoro
Chiara
Puoi mettere risolto al titolo del primo post allora.


buon lavoro
Chi non ha mai posseduto un cane, non sa cosa significhi essere amato. Arthur Schopenhauer

 

Torna su